<template>
  <popup-full v-bind="$props" v-on="$listeners">
    <template>
      <div class="warning-popup">
        <div class="container text-center">
          <i class="symbol"
            ><svg
              version="1.1"
              id="Capa_1"
              xmlns="http://www.w3.org/2000/svg"
              xmlns:xlink="http://www.w3.org/1999/xlink"
              x="0px"
              y="0px"
              viewBox="0 0 512 512"
              style="enable-background:new 0 0 512 512;"
              xml:space="preserve"
            >
              <g>
                <path
                  d="M256,0C114.497,0,0,114.507,0,256c0,141.503,114.507,256,256,256c141.503,0,256-114.507,256-256
			C512,114.497,397.493,0,256,0z M256,472c-119.393,0-216-96.615-216-216c0-119.393,96.615-216,216-216
			c119.393,0,216,96.615,216,216C472,375.393,375.385,472,256,472z"
                />
              </g>
              <g>
                <path
                  d="M256,128.877c-11.046,0-20,8.954-20,20V277.67c0,11.046,8.954,20,20,20s20-8.954,20-20V148.877
			C276,137.831,267.046,128.877,256,128.877z"
                />
              </g>
              <g>
                <circle cx="256" cy="349.16" r="27" />
              </g>
            </svg>
          </i>
          <div class="title">您即將離開購物流程</div>
          <div class="description">
            您即將離開購物流程，離開後會清空購物車，請確認是否離開。
          </div>
          <div class="controls">
            <div class="row">
              <div class="col col-6">
                <button class="skm-primary-btn w-100" @click="leave">
                  確認離開
                </button>
              </div>
              <div class="col col-6">
                <button
                  class="skm-primary-btn w-100"
                  @click="$listeners['close-click']"
                >
                  繼續訂購
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </template>
  </popup-full>
</template>

<script>
import PopupFull from "@/components/PopupFull";
export default {
  name: "WarningPopup",
  data() {
    return {};
  },
  components: {
    PopupFull
  },
  methods: {
    leave() {
      this.$emit("leave");
      // this.$listeners["close-click"]();
    }
  },
  mounted() {}
};
</script>

<style lang="scss" scoped>
.warning-popup {
  transform: translateY(50%);
  .symbol {
    width: 48px;
    display: inline-block;
    margin-bottom: 10px;
    path,
    circle {
      fill: $color-skm-red;
    }
  }

  .title {
    font-size: 18px;
    margin-bottom: 40px;
  }

  .description {
    font-size: 18px;
    margin-bottom: 25px;
  }

  @include media-breakpoint-up(md) {
    transform: translateY(0%);
    padding: 20px 0 70px;
    .controls {
      width: 440px;
      margin: 0 auto;
    }
  }
}
</style>
